Electron 支持 .require()


突然发现 Electron 支持浏览器里的 .requrie(),这样其实就不用 webpack 打包了,反正最后体积也不差那一丢丢。还好测试。

[2016-12-08]

我的环境里,Webpack + Vue + Vue-router,在 webpack.config.js 里设置:

module.exports = {
  resolve: {
    alias: {
      'vue$': 'vue/dist/vue.common.js'
    }
  },
}

打包出来的文件会报 “Unknown custom element: – did you register the component correctly” 错误,只好不用 webpack 了……


欢迎吐槽,共同进步

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

%d 博主赞过: